# ranbanery

[![Gem Version](https://badge.fury.io/rb/ranbanery.png)](http://badge.fury.io/rb/ranbanery)
[![Code Climate](https://codeclimate.com/github/GeneralScripting/ranbanery.png)](https://codeclimate.com/github/GeneralScripting/ranbanery)

## Installation

    gem install ranbanery

Or in your Gemfile:

    gem 'ranbanery'

## Usage

    require 'ranbanery'
    
    client = Kanbanery::Client.new(YOUR_WORKSPACE, YOUR_KEY)
    
    client.projects
    # returns the ActiveResource: Project
    # see https://github.com/rails/activeresource#configuration-and-usage
    
    # find(:first) is broken :(
    project_id = client.projects.all.first.id
    
    client.columns( project_id )
    # returns the ActiveResource: Column
    # (ugly, but necessary until ActiveResource supports has_many etc.)
    
    client.tasks( project_id )
    # returns the ActiveResource: Task
    # project_id is optional (don't use it for finding a task)
    
    client.subtasks( task_id )
    # returns the ActiveResource: Subtask
    
That is all for now. Please help creating the other [Kanbanery API methods](https://kanbanery.desk.com/customer/portal/articles/1137675-api-version-1-3).


## Contributing to ranbanery
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## License

This gem is released under the [MIT License](http://www.opensource.org/licenses/MIT).

